device_type: stm32mp157c-dk2
job_name: TS stm32mp157c-dk2 build ${BUILD_NUMBER}
timeouts:
  job:
    minutes: 60
  action:
    minutes: 5
  connection:
    minutes: 5
priority: medium
visibility: public
context:
  test_character_delay: 30
actions:
- deploy:
    timeout:
      minutes: 60
    to: flasher
    images:
      tarball:
        url: ${URL_STM_FLASHER}
      layout:
        url: ${URL_STM_TSV}
      sdcard:
        url: ${URL_STM_SDIMAGE}
        compression: gz
    os: oe

- boot:
    timeout:
      minutes: 15
    method: u-boot
    auto_login:
      login_prompt: 'ledge-qemuarm login:'
      username: ''
    prompt:
      - "=>"
    commands:
      - ls mmc 0:4 /
      - ls mmc 0:5 /
      - efidebug boot add -b 1 BootLedge mmc 0:4 efi/boot/bootarm.efi -i
          mmc 0:4 ledge-initramfs.rootfs.cpio.gz -s 'console=ttySTM0,115200 root=UUID=6091b3a4-ce08-3020-93a6-f755a22ef03b rootwait panic=10'
      - efidebug boot order 1
      - echo "Starting kernel"; bootefi bootmgr

- boot:
    timeout:
      minutes: 15
    method: minimal
    reset: false
    prompts:
      - 'ledge-qemuarm:'
    auto_login:
      login_prompt: 'login:'
      username: "ledge"
      password_prompt: 'Password:'
      password: "ledge"

metadata:
  machine: ${MACHINE}
  git: ${GIT_URL}
  git branch: ${GIT_BRANCH}
  manifest commit: ${GIT_COMMIT}
  build url: ${PUB_DEST}
